Index: files/libverify.c
===================================================================
RCS file: /cvsroot/pkgsrc/security/netpgpverify/files/libverify.c,v
retrieving revision 1.13
diff -u -r1.13 libverify.c
--- files/libverify.c	19 Feb 2016 22:41:50 -0000	1.13
+++ files/libverify.c	13 Mar 2016 14:53:00 -0000
@@ -1937,6 +1937,7 @@
 
 static const char	*armor_begins[] = {
 	"-----BEGIN PGP SIGNED MESSAGE-----\n",
+	"-----BEGIN PGP SIGNATURE-----\n",
 	"-----BEGIN PGP MESSAGE-----\n",
 	NULL
 };
@@ -2004,13 +2005,14 @@
 	/* cons up litdata pkt */
 	memset(&litdata, 0x0, sizeof(litdata));
 	litdata.u.litdata.mem = ARRAY_COUNT(cursor->pgp->areas) - 1;
-	p = mem->mem;
-	/* jump over signed message line */
-	if ((p = find_bin_string(mem->mem, mem->size, "\n\n",  2)) == NULL) {
-		snprintf(cursor->why, sizeof(cursor->why), "malformed armor at offset 0");
-		return 0;
+	/* jump over any signed message line */
+	if (strncmp(p = mem->mem, SIGSTART, strlen(SIGSTART)) != 0) {
+		if ((p = find_bin_string(mem->mem, mem->size, "\n\n",  2)) == NULL) {
+			snprintf(cursor->why, sizeof(cursor->why), "malformed armor at offset 0");
+			return 0;
+		}
+		p += 2;
 	}
-	p += 2;
 	litdata.tag = LITDATA_PKT;
 	litdata.s.data = p;
 	litdata.u.litdata.offset = (size_t)(p - mem->mem);
@@ -2499,7 +2501,8 @@
 	char		 original[MAXPATHLEN];
 
 	/* cons up litdata pkt */
-	if ((dot = strrchr(f, '.')) == NULL || strcasecmp(dot, ".sig") != 0) {
+	if ((dot = strrchr(f, '.')) == NULL ||
+	    (strcasecmp(dot, ".sig") != 0 && strcasecmp(dot, ".asc") != 0)) {
 		printf("weird filename '%s'\n", f);
 		return 0;
 	}
Index: files/verify.h
===================================================================
RCS file: /cvsroot/pkgsrc/security/netpgpverify/files/verify.h,v
retrieving revision 1.19
diff -u -r1.19 verify.h
--- files/verify.h	19 Feb 2016 22:41:50 -0000	1.19
+++ files/verify.h	13 Mar 2016 14:53:00 -0000
@@ -23,9 +23,9 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 #ifndef NETPGP_VERIFY_H_
-#define NETPGP_VERIFY_H_	20160214
+#define NETPGP_VERIFY_H_	20160313
 
-#define NETPGPVERIFY_VERSION	"netpgpverify portable 20160214"
+#define NETPGPVERIFY_VERSION	"netpgpverify portable 20160313"
 
 #include <sys/types.h>
 
